XCB Render API

Render XCB Protocol Implementation. More...

## Data Structures

struct | xcb_render_glyph_iterator_t
| xcb_render_glyph_iterator_t More...
struct | xcb_render_glyphset_iterator_t
| xcb_render_glyphset_iterator_t More...
struct | xcb_render_picture_iterator_t
| xcb_render_picture_iterator_t More...
struct | xcb_render_pictformat_iterator_t
| xcb_render_pictformat_iterator_t More...
struct | xcb_render_fixed_iterator_t
| xcb_render_fixed_iterator_t More...
struct | xcb_render_pict_format_error_t
| xcb_render_pict_format_error_t More...
struct | xcb_render_picture_error_t
| xcb_render_picture_error_t More...
struct | xcb_render_pict_op_error_t
| xcb_render_pict_op_error_t More...
struct | xcb_render_glyph_set_error_t
| xcb_render_glyph_set_error_t More...
struct | xcb_render_glyph_error_t
| xcb_render_glyph_error_t More...
struct | xcb_render_directformat_t
| xcb_render_directformat_t More...
struct | xcb_render_directformat_iterator_t
| xcb_render_directformat_iterator_t More...
struct | xcb_render_pictforminfo_t
| xcb_render_pictforminfo_t More...
struct | xcb_render_pictforminfo_iterator_t
| xcb_render_pictforminfo_iterator_t More...
struct | xcb_render_pictvisual_t
| xcb_render_pictvisual_t More...
struct | xcb_render_pictvisual_iterator_t
| xcb_render_pictvisual_iterator_t More...
struct | xcb_render_pictdepth_t
| xcb_render_pictdepth_t More...
struct | xcb_render_pictdepth_iterator_t
| xcb_render_pictdepth_iterator_t More...
struct | xcb_render_pictscreen_t
| xcb_render_pictscreen_t More...
struct | xcb_render_pictscreen_iterator_t
| xcb_render_pictscreen_iterator_t More...
struct | xcb_render_indexvalue_t
| xcb_render_indexvalue_t More...
struct | xcb_render_indexvalue_iterator_t
| xcb_render_indexvalue_iterator_t More...
struct | xcb_render_color_t
| xcb_render_color_t More...
struct | xcb_render_color_iterator_t
| xcb_render_color_iterator_t More...
struct | xcb_render_pointfix_t
| xcb_render_pointfix_t More...
struct | xcb_render_pointfix_iterator_t
| xcb_render_pointfix_iterator_t More...
struct | xcb_render_linefix_t
| xcb_render_linefix_t More...
struct | xcb_render_linefix_iterator_t
| xcb_render_linefix_iterator_t More...
struct | xcb_render_triangle_t
| xcb_render_triangle_t More...
struct | xcb_render_triangle_iterator_t
| xcb_render_triangle_iterator_t More...
struct | xcb_render_trapezoid_t
| xcb_render_trapezoid_t More...
struct | xcb_render_trapezoid_iterator_t
| xcb_render_trapezoid_iterator_t More...
struct | xcb_render_glyphinfo_t
| xcb_render_glyphinfo_t More...
struct | xcb_render_glyphinfo_iterator_t
| xcb_render_glyphinfo_iterator_t More...
struct | xcb_render_query_version_cookie_t
| xcb_render_query_version_cookie_t More...
struct | xcb_render_query_version_request_t
| xcb_render_query_version_request_t More...
struct | xcb_render_query_version_reply_t
| xcb_render_query_version_reply_t More...
struct | xcb_render_query_pict_formats_cookie_t
| xcb_render_query_pict_formats_cookie_t More...
struct | xcb_render_query_pict_formats_request_t
| xcb_render_query_pict_formats_request_t More...
struct | xcb_render_query_pict_formats_reply_t
| xcb_render_query_pict_formats_reply_t More...
struct | xcb_render_query_pict_index_values_cookie_t
| xcb_render_query_pict_index_values_cookie_t More...
struct | xcb_render_query_pict_index_values_request_t
| xcb_render_query_pict_index_values_request_t More...
struct | xcb_render_query_pict_index_values_reply_t
| xcb_render_query_pict_index_values_reply_t More...
struct | xcb_render_create_picture_value_list_t
| xcb_render_create_picture_value_list_t More...
struct | xcb_render_create_picture_request_t
| xcb_render_create_picture_request_t More...
struct | xcb_render_change_picture_value_list_t
| xcb_render_change_picture_value_list_t More...
struct | xcb_render_change_picture_request_t
| xcb_render_change_picture_request_t More...
struct | xcb_render_set_picture_clip_rectangles_request_t
| xcb_render_set_picture_clip_rectangles_request_t More...
struct | xcb_render_free_picture_request_t
| xcb_render_free_picture_request_t More...
struct | xcb_render_composite_request_t
| xcb_render_composite_request_t More...
struct | xcb_render_trapezoids_request_t
| xcb_render_trapezoids_request_t More...
struct | xcb_render_triangles_request_t
| xcb_render_triangles_request_t More...
struct | xcb_render_tri_strip_request_t
| xcb_render_tri_strip_request_t More...
struct | xcb_render_tri_fan_request_t
| xcb_render_tri_fan_request_t More...
struct | xcb_render_create_glyph_set_request_t
| xcb_render_create_glyph_set_request_t More...
struct | xcb_render_reference_glyph_set_request_t
| xcb_render_reference_glyph_set_request_t More...
struct | xcb_render_free_glyph_set_request_t
| xcb_render_free_glyph_set_request_t More...
struct | xcb_render_add_glyphs_request_t
| xcb_render_add_glyphs_request_t More...
struct | xcb_render_free_glyphs_request_t
| xcb_render_free_glyphs_request_t More...
struct | xcb_render_composite_glyphs_8_request_t
| xcb_render_composite_glyphs_8_request_t More...
struct | xcb_render_composite_glyphs_16_request_t
| xcb_render_composite_glyphs_16_request_t More...
struct | xcb_render_composite_glyphs_32_request_t
| xcb_render_composite_glyphs_32_request_t More...
struct | xcb_render_fill_rectangles_request_t
| xcb_render_fill_rectangles_request_t More...
struct | xcb_render_create_cursor_request_t
| xcb_render_create_cursor_request_t More...
struct | xcb_render_transform_t
| xcb_render_transform_t More...
struct | xcb_render_transform_iterator_t
| xcb_render_transform_iterator_t More...
struct | xcb_render_set_picture_transform_request_t
| xcb_render_set_picture_transform_request_t More...
struct | xcb_render_query_filters_cookie_t
| xcb_render_query_filters_cookie_t More...
struct | xcb_render_query_filters_request_t
| xcb_render_query_filters_request_t More...
struct | xcb_render_query_filters_reply_t
| xcb_render_query_filters_reply_t More...
struct | xcb_render_set_picture_filter_request_t
| xcb_render_set_picture_filter_request_t More...
struct | xcb_render_animcursorelt_t
| xcb_render_animcursorelt_t More...
struct | xcb_render_animcursorelt_iterator_t
| xcb_render_animcursorelt_iterator_t More...
struct | xcb_render_create_anim_cursor_request_t
| xcb_render_create_anim_cursor_request_t More...
struct | xcb_render_spanfix_t
| xcb_render_spanfix_t More...
struct | xcb_render_spanfix_iterator_t
| xcb_render_spanfix_iterator_t More...
struct | xcb_render_trap_t
| xcb_render_trap_t More...
struct | xcb_render_trap_iterator_t
| xcb_render_trap_iterator_t More...
struct | xcb_render_add_traps_request_t
| xcb_render_add_traps_request_t More...
struct | xcb_render_create_solid_fill_request_t
| xcb_render_create_solid_fill_request_t More...
struct | xcb_render_create_linear_gradient_request_t
| xcb_render_create_linear_gradient_request_t More...
struct | xcb_render_create_radial_gradient_request_t
| xcb_render_create_radial_gradient_request_t More...
struct | xcb_render_create_conical_gradient_request_t
| xcb_render_create_conical_gradient_request_t More...

## Macros

#define | XCB_RENDER_MAJOR_VERSION 0
#define | XCB_RENDER_MINOR_VERSION 11
#define | XCB_RENDER_PICT_FORMAT 0
#define | XCB_RENDER_PICTURE 1
#define | XCB_RENDER_PICT_OP 2
#define | XCB_RENDER_GLYPH_SET 3
#define | XCB_RENDER_GLYPH 4
#define | XCB_RENDER_QUERY_VERSION 0
#define | XCB_RENDER_QUERY_PICT_FORMATS 1
#define | XCB_RENDER_QUERY_PICT_INDEX_VALUES 2
#define | XCB_RENDER_CREATE_PICTURE 4
#define | XCB_RENDER_CHANGE_PICTURE 5
#define | XCB_RENDER_SET_PICTURE_CLIP_RECTANGLES 6
#define | XCB_RENDER_FREE_PICTURE 7
#define | XCB_RENDER_COMPOSITE 8
#define | XCB_RENDER_TRAPEZOIDS 10
#define | XCB_RENDER_TRIANGLES 11
#define | XCB_RENDER_TRI_STRIP 12
#define | XCB_RENDER_TRI_FAN 13
#define | XCB_RENDER_CREATE_GLYPH_SET 17
#define | XCB_RENDER_REFERENCE_GLYPH_SET 18
#define | XCB_RENDER_FREE_GLYPH_SET 19
#define | XCB_RENDER_ADD_GLYPHS 20
#define | XCB_RENDER_FREE_GLYPHS 22
#define | XCB_RENDER_COMPOSITE_GLYPHS_8 23
#define | XCB_RENDER_COMPOSITE_GLYPHS_16 24
#define | XCB_RENDER_COMPOSITE_GLYPHS_32 25
#define | XCB_RENDER_FILL_RECTANGLES 26
#define | XCB_RENDER_CREATE_CURSOR 27
#define | XCB_RENDER_SET_PICTURE_TRANSFORM 28
#define | XCB_RENDER_QUERY_FILTERS 29
#define | XCB_RENDER_SET_PICTURE_FILTER 30
#define | XCB_RENDER_CREATE_ANIM_CURSOR 31
#define | XCB_RENDER_ADD_TRAPS 32
#define | XCB_RENDER_CREATE_SOLID_FILL 33
#define | XCB_RENDER_CREATE_LINEAR_GRADIENT 34
#define | XCB_RENDER_CREATE_RADIAL_GRADIENT 35
#define | XCB_RENDER_CREATE_CONICAL_GRADIENT 36

## Typedefs

typedef enum xcb_render_pict_type_t | xcb_render_pict_type_t
typedef enum xcb_render_picture_enum_t | xcb_render_picture_enum_t
typedef enum xcb_render_pict_op_t | xcb_render_pict_op_t
typedef enum xcb_render_poly_edge_t | xcb_render_poly_edge_t
typedef enum xcb_render_poly_mode_t | xcb_render_poly_mode_t
typedef enum xcb_render_cp_t | xcb_render_cp_t
typedef enum xcb_render_sub_pixel_t | xcb_render_sub_pixel_t
typedef enum xcb_render_repeat_t | xcb_render_repeat_t
typedef uint32_t | xcb_render_glyph_t
typedef struct xcb_render_glyph_iterator_t | xcb_render_glyph_iterator_t
| xcb_render_glyph_iterator_t
typedef uint32_t | xcb_render_glyphset_t
typedef struct xcb_render_glyphset_iterator_t | xcb_render_glyphset_iterator_t
| xcb_render_glyphset_iterator_t
typedef uint32_t | xcb_render_picture_t
typedef struct xcb_render_picture_iterator_t | xcb_render_picture_iterator_t
| xcb_render_picture_iterator_t
typedef uint32_t | xcb_render_pictformat_t
typedef struct xcb_render_pictformat_iterator_t | xcb_render_pictformat_iterator_t
| xcb_render_pictformat_iterator_t
typedef int32_t | xcb_render_fixed_t
typedef struct xcb_render_fixed_iterator_t | xcb_render_fixed_iterator_t
| xcb_render_fixed_iterator_t
typedef struct xcb_render_pict_format_error_t | xcb_render_pict_format_error_t
| xcb_render_pict_format_error_t
typedef struct xcb_render_picture_error_t | xcb_render_picture_error_t
| xcb_render_picture_error_t
typedef struct xcb_render_pict_op_error_t | xcb_render_pict_op_error_t
| xcb_render_pict_op_error_t
typedef struct xcb_render_glyph_set_error_t | xcb_render_glyph_set_error_t
| xcb_render_glyph_set_error_t
typedef struct xcb_render_glyph_error_t | xcb_render_glyph_error_t
| xcb_render_glyph_error_t
typedef struct xcb_render_directformat_t | xcb_render_directformat_t
| xcb_render_directformat_t
typedef struct xcb_render_directformat_iterator_t | xcb_render_directformat_iterator_t
| xcb_render_directformat_iterator_t
typedef struct xcb_render_pictforminfo_t | xcb_render_pictforminfo_t
| xcb_render_pictforminfo_t
typedef struct xcb_render_pictforminfo_iterator_t | xcb_render_pictforminfo_iterator_t
| xcb_render_pictforminfo_iterator_t
typedef struct xcb_render_pictvisual_t | xcb_render_pictvisual_t
| xcb_render_pictvisual_t
typedef struct xcb_render_pictvisual_iterator_t | xcb_render_pictvisual_iterator_t
| xcb_render_pictvisual_iterator_t
typedef struct xcb_render_pictdepth_t | xcb_render_pictdepth_t
| xcb_render_pictdepth_t
typedef struct xcb_render_pictdepth_iterator_t | xcb_render_pictdepth_iterator_t
| xcb_render_pictdepth_iterator_t
typedef struct xcb_render_pictscreen_t | xcb_render_pictscreen_t
| xcb_render_pictscreen_t
typedef struct xcb_render_pictscreen_iterator_t | xcb_render_pictscreen_iterator_t
| xcb_render_pictscreen_iterator_t
typedef struct xcb_render_indexvalue_t | xcb_render_indexvalue_t
| xcb_render_indexvalue_t
typedef struct xcb_render_indexvalue_iterator_t | xcb_render_indexvalue_iterator_t
| xcb_render_indexvalue_iterator_t
typedef struct xcb_render_color_t | xcb_render_color_t
| xcb_render_color_t
typedef struct xcb_render_color_iterator_t | xcb_render_color_iterator_t
| xcb_render_color_iterator_t
typedef struct xcb_render_pointfix_t | xcb_render_pointfix_t
| xcb_render_pointfix_t
typedef struct xcb_render_pointfix_iterator_t | xcb_render_pointfix_iterator_t
| xcb_render_pointfix_iterator_t
typedef struct xcb_render_linefix_t | xcb_render_linefix_t
| xcb_render_linefix_t
typedef struct xcb_render_linefix_iterator_t | xcb_render_linefix_iterator_t
| xcb_render_linefix_iterator_t
typedef struct xcb_render_triangle_t | xcb_render_triangle_t
| xcb_render_triangle_t
typedef struct xcb_render_triangle_iterator_t | xcb_render_triangle_iterator_t
| xcb_render_triangle_iterator_t
typedef struct xcb_render_trapezoid_t | xcb_render_trapezoid_t
| xcb_render_trapezoid_t
typedef struct xcb_render_trapezoid_iterator_t | xcb_render_trapezoid_iterator_t
| xcb_render_trapezoid_iterator_t
typedef struct xcb_render_glyphinfo_t | xcb_render_glyphinfo_t
| xcb_render_glyphinfo_t
typedef struct xcb_render_glyphinfo_iterator_t | xcb_render_glyphinfo_iterator_t
| xcb_render_glyphinfo_iterator_t
typedef struct xcb_render_query_version_cookie_t | xcb_render_query_version_cookie_t
| xcb_render_query_version_cookie_t
typedef struct xcb_render_query_version_request_t | xcb_render_query_version_request_t
| xcb_render_query_version_request_t
typedef struct xcb_render_query_version_reply_t | xcb_render_query_version_reply_t
| xcb_render_query_version_reply_t
typedef struct xcb_render_query_pict_formats_cookie_t | xcb_render_query_pict_formats_cookie_t
| xcb_render_query_pict_formats_cookie_t
typedef struct xcb_render_query_pict_formats_request_t | xcb_render_query_pict_formats_request_t
| xcb_render_query_pict_formats_request_t
typedef struct xcb_render_query_pict_formats_reply_t | xcb_render_query_pict_formats_reply_t
| xcb_render_query_pict_formats_reply_t
typedef struct xcb_render_query_pict_index_values_cookie_t | xcb_render_query_pict_index_values_cookie_t
| xcb_render_query_pict_index_values_cookie_t
typedef struct xcb_render_query_pict_index_values_request_t | xcb_render_query_pict_index_values_request_t
| xcb_render_query_pict_index_values_request_t
typedef struct xcb_render_query_pict_index_values_reply_t | xcb_render_query_pict_index_values_reply_t
| xcb_render_query_pict_index_values_reply_t
typedef struct xcb_render_create_picture_value_list_t | xcb_render_create_picture_value_list_t
| xcb_render_create_picture_value_list_t
typedef struct xcb_render_create_picture_request_t | xcb_render_create_picture_request_t
| xcb_render_create_picture_request_t
typedef struct xcb_render_change_picture_value_list_t | xcb_render_change_picture_value_list_t
| xcb_render_change_picture_value_list_t
typedef struct xcb_render_change_picture_request_t | xcb_render_change_picture_request_t
| xcb_render_change_picture_request_t
typedef struct xcb_render_set_picture_clip_rectangles_request_t | xcb_render_set_picture_clip_rectangles_request_t
| xcb_render_set_picture_clip_rectangles_request_t
typedef struct xcb_render_free_picture_request_t | xcb_render_free_picture_request_t
| xcb_render_free_picture_request_t
typedef struct xcb_render_composite_request_t | xcb_render_composite_request_t
| xcb_render_composite_request_t
typedef struct xcb_render_trapezoids_request_t | xcb_render_trapezoids_request_t
| xcb_render_trapezoids_request_t
typedef struct xcb_render_triangles_request_t | xcb_render_triangles_request_t
| xcb_render_triangles_request_t
typedef struct xcb_render_tri_strip_request_t | xcb_render_tri_strip_request_t
| xcb_render_tri_strip_request_t
typedef struct xcb_render_tri_fan_request_t | xcb_render_tri_fan_request_t
| xcb_render_tri_fan_request_t
typedef struct xcb_render_create_glyph_set_request_t | xcb_render_create_glyph_set_request_t
| xcb_render_create_glyph_set_request_t
typedef struct xcb_render_reference_glyph_set_request_t | xcb_render_reference_glyph_set_request_t
| xcb_render_reference_glyph_set_request_t
typedef struct xcb_render_free_glyph_set_request_t | xcb_render_free_glyph_set_request_t
| xcb_render_free_glyph_set_request_t
typedef struct xcb_render_add_glyphs_request_t | xcb_render_add_glyphs_request_t
| xcb_render_add_glyphs_request_t
typedef struct xcb_render_free_glyphs_request_t | xcb_render_free_glyphs_request_t
| xcb_render_free_glyphs_request_t
typedef struct xcb_render_composite_glyphs_8_request_t | xcb_render_composite_glyphs_8_request_t
| xcb_render_composite_glyphs_8_request_t
typedef struct xcb_render_composite_glyphs_16_request_t | xcb_render_composite_glyphs_16_request_t
| xcb_render_composite_glyphs_16_request_t
typedef struct xcb_render_composite_glyphs_32_request_t | xcb_render_composite_glyphs_32_request_t
| xcb_render_composite_glyphs_32_request_t
typedef struct xcb_render_fill_rectangles_request_t | xcb_render_fill_rectangles_request_t
| xcb_render_fill_rectangles_request_t
typedef struct xcb_render_create_cursor_request_t | xcb_render_create_cursor_request_t
| xcb_render_create_cursor_request_t
typedef struct xcb_render_transform_t | xcb_render_transform_t
| xcb_render_transform_t
typedef struct xcb_render_transform_iterator_t | xcb_render_transform_iterator_t
| xcb_render_transform_iterator_t
typedef struct xcb_render_set_picture_transform_request_t | xcb_render_set_picture_transform_request_t
| xcb_render_set_picture_transform_request_t
typedef struct xcb_render_query_filters_cookie_t | xcb_render_query_filters_cookie_t
| xcb_render_query_filters_cookie_t
typedef struct xcb_render_query_filters_request_t | xcb_render_query_filters_request_t
| xcb_render_query_filters_request_t
typedef struct xcb_render_query_filters_reply_t | xcb_render_query_filters_reply_t
| xcb_render_query_filters_reply_t
typedef struct xcb_render_set_picture_filter_request_t | xcb_render_set_picture_filter_request_t
| xcb_render_set_picture_filter_request_t
typedef struct xcb_render_animcursorelt_t | xcb_render_animcursorelt_t
| xcb_render_animcursorelt_t
typedef struct xcb_render_animcursorelt_iterator_t | xcb_render_animcursorelt_iterator_t
| xcb_render_animcursorelt_iterator_t
typedef struct xcb_render_create_anim_cursor_request_t | xcb_render_create_anim_cursor_request_t
| xcb_render_create_anim_cursor_request_t
typedef struct xcb_render_spanfix_t | xcb_render_spanfix_t
| xcb_render_spanfix_t
typedef struct xcb_render_spanfix_iterator_t | xcb_render_spanfix_iterator_t
| xcb_render_spanfix_iterator_t
typedef struct xcb_render_trap_t | xcb_render_trap_t
| xcb_render_trap_t
typedef struct xcb_render_trap_iterator_t | xcb_render_trap_iterator_t
| xcb_render_trap_iterator_t
typedef struct xcb_render_add_traps_request_t | xcb_render_add_traps_request_t
| xcb_render_add_traps_request_t
typedef struct xcb_render_create_solid_fill_request_t | xcb_render_create_solid_fill_request_t
| xcb_render_create_solid_fill_request_t
typedef struct xcb_render_create_linear_gradient_request_t | xcb_render_create_linear_gradient_request_t
| xcb_render_create_linear_gradient_request_t
typedef struct xcb_render_create_radial_gradient_request_t | xcb_render_create_radial_gradient_request_t
| xcb_render_create_radial_gradient_request_t
typedef struct xcb_render_create_conical_gradient_request_t | xcb_render_create_conical_gradient_request_t
| xcb_render_create_conical_gradient_request_t

## Enumerations

enum | xcb_render_pict_type_t { XCB_RENDER_PICT_TYPE_INDEXED = 0 , XCB_RENDER_PICT_TYPE_DIRECT = 1 }
enum | xcb_render_picture_enum_t { XCB_RENDER_PICTURE_NONE = 0 }

enum

xcb_render_pict_op_t {
XCB_RENDER_PICT_OP_CLEAR = 0 , XCB_RENDER_PICT_OP_SRC = 1 , XCB_RENDER_PICT_OP_DST = 2 , XCB_RENDER_PICT_OP_OVER = 3 ,
XCB_RENDER_PICT_OP_OVER_REVERSE = 4 , XCB_RENDER_PICT_OP_IN = 5 , XCB_RENDER_PICT_OP_IN_REVERSE = 6 , XCB_RENDER_PICT_OP_OUT = 7 ,
XCB_RENDER_PICT_OP_OUT_REVERSE = 8 , XCB_RENDER_PICT_OP_ATOP = 9 , XCB_RENDER_PICT_OP_ATOP_REVERSE = 10 , XCB_RENDER_PICT_OP_XOR = 11 ,
XCB_RENDER_PICT_OP_ADD = 12 , XCB_RENDER_PICT_OP_SATURATE = 13 , XCB_RENDER_PICT_OP_DISJOINT_CLEAR = 16 , XCB_RENDER_PICT_OP_DISJOINT_SRC = 17 ,
XCB_RENDER_PICT_OP_DISJOINT_DST = 18 , XCB_RENDER_PICT_OP_DISJOINT_OVER = 19 , XCB_RENDER_PICT_OP_DISJOINT_OVER_REVERSE = 20 , XCB_RENDER_PICT_OP_DISJOINT_IN = 21 ,
XCB_RENDER_PICT_OP_DISJOINT_IN_REVERSE = 22 , XCB_RENDER_PICT_OP_DISJOINT_OUT = 23 , XCB_RENDER_PICT_OP_DISJOINT_OUT_REVERSE = 24 , XCB_RENDER_PICT_OP_DISJOINT_ATOP = 25 ,
XCB_RENDER_PICT_OP_DISJOINT_ATOP_REVERSE = 26 , XCB_RENDER_PICT_OP_DISJOINT_XOR = 27 , XCB_RENDER_PICT_OP_CONJOINT_CLEAR = 32 , XCB_RENDER_PICT_OP_CONJOINT_SRC = 33 ,
XCB_RENDER_PICT_OP_CONJOINT_DST = 34 , XCB_RENDER_PICT_OP_CONJOINT_OVER = 35 , XCB_RENDER_PICT_OP_CONJOINT_OVER_REVERSE = 36 , XCB_RENDER_PICT_OP_CONJOINT_IN = 37 ,
XCB_RENDER_PICT_OP_CONJOINT_IN_REVERSE = 38 , XCB_RENDER_PICT_OP_CONJOINT_OUT = 39 , XCB_RENDER_PICT_OP_CONJOINT_OUT_REVERSE = 40 , XCB_RENDER_PICT_OP_CONJOINT_ATOP = 41 ,
XCB_RENDER_PICT_OP_CONJOINT_ATOP_REVERSE = 42 , XCB_RENDER_PICT_OP_CONJOINT_XOR = 43 , XCB_RENDER_PICT_OP_MULTIPLY = 48 , XCB_RENDER_PICT_OP_SCREEN = 49 ,
XCB_RENDER_PICT_OP_OVERLAY = 50 , XCB_RENDER_PICT_OP_DARKEN = 51 , XCB_RENDER_PICT_OP_LIGHTEN = 52 , XCB_RENDER_PICT_OP_COLOR_DODGE = 53 ,
XCB_RENDER_PICT_OP_COLOR_BURN = 54 , XCB_RENDER_PICT_OP_HARD_LIGHT = 55 , XCB_RENDER_PICT_OP_SOFT_LIGHT = 56 , XCB_RENDER_PICT_OP_DIFFERENCE = 57 ,
XCB_RENDER_PICT_OP_EXCLUSION = 58 , XCB_RENDER_PICT_OP_HSL_HUE = 59 , XCB_RENDER_PICT_OP_HSL_SATURATION = 60 , XCB_RENDER_PICT_OP_HSL_COLOR = 61 ,
XCB_RENDER_PICT_OP_HSL_LUMINOSITY = 62
}

enum | xcb_render_poly_edge_t { XCB_RENDER_POLY_EDGE_SHARP = 0 , XCB_RENDER_POLY_EDGE_SMOOTH = 1 }
enum | xcb_render_poly_mode_t { XCB_RENDER_POLY_MODE_PRECISE = 0 , XCB_RENDER_POLY_MODE_IMPRECISE = 1 }

enum

xcb_render_cp_t {
XCB_RENDER_CP_REPEAT = 1 , XCB_RENDER_CP_ALPHA_MAP = 2 , XCB_RENDER_CP_ALPHA_X_ORIGIN = 4 , XCB_RENDER_CP_ALPHA_Y_ORIGIN = 8 ,
XCB_RENDER_CP_CLIP_X_ORIGIN = 16 , XCB_RENDER_CP_CLIP_Y_ORIGIN = 32 , XCB_RENDER_CP_CLIP_MASK = 64 , XCB_RENDER_CP_GRAPHICS_EXPOSURE = 128 ,
XCB_RENDER_CP_SUBWINDOW_MODE = 256 , XCB_RENDER_CP_POLY_EDGE = 512 , XCB_RENDER_CP_POLY_MODE = 1024 , XCB_RENDER_CP_DITHER = 2048 ,
XCB_RENDER_CP_COMPONENT_ALPHA = 4096
}

enum | xcb_render_sub_pixel_t { XCB_RENDER_SUB_PIXEL_UNKNOWN = 0 , XCB_RENDER_SUB_PIXEL_HORIZONTAL_RGB = 1 , XCB_RENDER_SUB_PIXEL_HORIZONTAL_BGR = 2 , XCB_RENDER_SUB_PIXEL_VERTICAL_RGB = 3 , XCB_RENDER_SUB_PIXEL_VERTICAL_BGR = 4 , XCB_RENDER_SUB_PIXEL_NONE = 5 }
enum | xcb_render_repeat_t { XCB_RENDER_REPEAT_NONE = 0 , XCB_RENDER_REPEAT_NORMAL = 1 , XCB_RENDER_REPEAT_PAD = 2 , XCB_RENDER_REPEAT_REFLECT = 3 }

## Functions

void | xcb_render_glyph_next (xcb_render_glyph_iterator_t *i)
xcb_generic_iterator_t | xcb_render_glyph_end (xcb_render_glyph_iterator_t i)
void | xcb_render_glyphset_next (xcb_render_glyphset_iterator_t *i)
xcb_generic_iterator_t | xcb_render_glyphset_end (xcb_render_glyphset_iterator_t i)
void | xcb_render_picture_next (xcb_render_picture_iterator_t *i)
xcb_generic_iterator_t | xcb_render_picture_end (xcb_render_picture_iterator_t i)
void | xcb_render_pictformat_next (xcb_render_pictformat_iterator_t *i)
xcb_generic_iterator_t | xcb_render_pictformat_end (xcb_render_pictformat_iterator_t i)
void | xcb_render_fixed_next (xcb_render_fixed_iterator_t *i)
xcb_generic_iterator_t | xcb_render_fixed_end (xcb_render_fixed_iterator_t i)
void | xcb_render_directformat_next (xcb_render_directformat_iterator_t *i)
xcb_generic_iterator_t | xcb_render_directformat_end (xcb_render_directformat_iterator_t i)
void | xcb_render_pictforminfo_next (xcb_render_pictforminfo_iterator_t *i)
xcb_generic_iterator_t | xcb_render_pictforminfo_end (xcb_render_pictforminfo_iterator_t i)
void | xcb_render_pictvisual_next (xcb_render_pictvisual_iterator_t *i)
xcb_generic_iterator_t | xcb_render_pictvisual_end (xcb_render_pictvisual_iterator_t i)
int | xcb_render_pictdepth_sizeof (const void *_buffer)
xcb_render_pictvisual_t * | xcb_render_pictdepth_visuals (const xcb_render_pictdepth_t *R)
int | xcb_render_pictdepth_visuals_length (const xcb_render_pictdepth_t *R)
xcb_render_pictvisual_iterator_t | xcb_render_pictdepth_visuals_iterator (const xcb_render_pictdepth_t *R)
void | xcb_render_pictdepth_next (xcb_render_pictdepth_iterator_t *i)
xcb_generic_iterator_t | xcb_render_pictdepth_end (xcb_render_pictdepth_iterator_t i)
int | xcb_render_pictscreen_sizeof (const void *_buffer)
int | xcb_render_pictscreen_depths_length (const xcb_render_pictscreen_t *R)
xcb_render_pictdepth_iterator_t | xcb_render_pictscreen_depths_iterator (const xcb_render_pictscreen_t *R)
void | xcb_render_pictscreen_next (xcb_render_pictscreen_iterator_t *i)
xcb_generic_iterator_t | xcb_render_pictscreen_end (xcb_render_pictscreen_iterator_t i)
void | xcb_render_indexvalue_next (xcb_render_indexvalue_iterator_t *i)
xcb_generic_iterator_t | xcb_render_indexvalue_end (xcb_render_indexvalue_iterator_t i)
void | xcb_render_color_next (xcb_render_color_iterator_t *i)
xcb_generic_iterator_t | xcb_render_color_end (xcb_render_color_iterator_t i)
void | xcb_render_pointfix_next (xcb_render_pointfix_iterator_t *i)
xcb_generic_iterator_t | xcb_render_pointfix_end (xcb_render_pointfix_iterator_t i)
void | xcb_render_linefix_next (xcb_render_linefix_iterator_t *i)
xcb_generic_iterator_t | xcb_render_linefix_end (xcb_render_linefix_iterator_t i)
void | xcb_render_triangle_next (xcb_render_triangle_iterator_t *i)
xcb_generic_iterator_t | xcb_render_triangle_end (xcb_render_triangle_iterator_t i)
void | xcb_render_trapezoid_next (xcb_render_trapezoid_iterator_t *i)
xcb_generic_iterator_t | xcb_render_trapezoid_end (xcb_render_trapezoid_iterator_t i)
void | xcb_render_glyphinfo_next (xcb_render_glyphinfo_iterator_t *i)
xcb_generic_iterator_t | xcb_render_glyphinfo_end (xcb_render_glyphinfo_iterator_t i)
xcb_render_query_version_cookie_t | xcb_render_query_version (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_render_query_version_cookie_t | xcb_render_query_version_unchecked (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_render_query_version_reply_t * | xcb_render_query_version_reply (xcb_connection_t *c, xcb_render_query_version_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_render_query_pict_formats_sizeof (const void *_buffer)
xcb_render_query_pict_formats_cookie_t | xcb_render_query_pict_formats (xcb_connection_t *c)
xcb_render_query_pict_formats_cookie_t | xcb_render_query_pict_formats_unchecked (xcb_connection_t *c)
xcb_render_pictforminfo_t * | xcb_render_query_pict_formats_formats (const xcb_render_query_pict_formats_reply_t *R)
int | xcb_render_query_pict_formats_formats_length (const xcb_render_query_pict_formats_reply_t *R)
xcb_render_pictforminfo_iterator_t | xcb_render_query_pict_formats_formats_iterator (const xcb_render_query_pict_formats_reply_t *R)
int | xcb_render_query_pict_formats_screens_length (const xcb_render_query_pict_formats_reply_t *R)
xcb_render_pictscreen_iterator_t | xcb_render_query_pict_formats_screens_iterator (const xcb_render_query_pict_formats_reply_t *R)
uint32_t * | xcb_render_query_pict_formats_subpixels (const xcb_render_query_pict_formats_reply_t *R)
int | xcb_render_query_pict_formats_subpixels_length (const xcb_render_query_pict_formats_reply_t *R)
xcb_generic_iterator_t | xcb_render_query_pict_formats_subpixels_end (const xcb_render_query_pict_formats_reply_t *R)
xcb_render_query_pict_formats_reply_t * | xcb_render_query_pict_formats_reply (xcb_connection_t *c, xcb_render_query_pict_formats_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_render_query_pict_index_values_sizeof (const void *_buffer)
xcb_render_query_pict_index_values_cookie_t | xcb_render_query_pict_index_values (xcb_connection_t *c, xcb_render_pictformat_t format)
xcb_render_query_pict_index_values_cookie_t | xcb_render_query_pict_index_values_unchecked (xcb_connection_t *c, xcb_render_pictformat_t format)
xcb_render_indexvalue_t * | xcb_render_query_pict_index_values_values (const xcb_render_query_pict_index_values_reply_t *R)
int | xcb_render_query_pict_index_values_values_length (const xcb_render_query_pict_index_values_reply_t *R)
xcb_render_indexvalue_iterator_t | xcb_render_query_pict_index_values_values_iterator (const xcb_render_query_pict_index_values_reply_t *R)
xcb_render_query_pict_index_values_reply_t * | xcb_render_query_pict_index_values_reply (xcb_connection_t *c, xcb_render_query_pict_index_values_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_render_create_picture_value_list_serialize (void **_buffer, uint32_t value_mask, const xcb_render_create_picture_value_list_t *_aux)
int | xcb_render_create_picture_value_list_unpack (const void *_buffer, uint32_t value_mask, xcb_render_create_picture_value_list_t *_aux)
int | xcb_render_create_picture_value_list_sizeof (const void *_buffer, uint32_t value_mask)
int | xcb_render_create_picture_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_render_create_picture_checked (xcb_connection_t *c, xcb_render_picture_t pid, xcb_drawable_t drawable, xcb_render_pictformat_t format, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_render_create_picture (xcb_connection_t *c, xcb_render_picture_t pid, xcb_drawable_t drawable, xcb_render_pictformat_t format, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_render_create_picture_aux_checked (xcb_connection_t *c, xcb_render_picture_t pid, xcb_drawable_t drawable, xcb_render_pictformat_t format, uint32_t value_mask, const xcb_render_create_picture_value_list_t *value_list)
xcb_void_cookie_t | xcb_render_create_picture_aux (xcb_connection_t *c, xcb_render_picture_t pid, xcb_drawable_t drawable, xcb_render_pictformat_t format, uint32_t value_mask, const xcb_render_create_picture_value_list_t *value_list)
void * | xcb_render_create_picture_value_list (const xcb_render_create_picture_request_t *R)
int | xcb_render_change_picture_value_list_serialize (void **_buffer, uint32_t value_mask, const xcb_render_change_picture_value_list_t *_aux)
int | xcb_render_change_picture_value_list_unpack (const void *_buffer, uint32_t value_mask, xcb_render_change_picture_value_list_t *_aux)
int | xcb_render_change_picture_value_list_sizeof (const void *_buffer, uint32_t value_mask)
int | xcb_render_change_picture_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_render_change_picture_checked (xcb_connection_t *c, xcb_render_picture_t picture, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_render_change_picture (xcb_connection_t *c, xcb_render_picture_t picture, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_render_change_picture_aux_checked (xcb_connection_t *c, xcb_render_picture_t picture, uint32_t value_mask, const xcb_render_change_picture_value_list_t *value_list)
xcb_void_cookie_t | xcb_render_change_picture_aux (xcb_connection_t *c, xcb_render_picture_t picture, uint32_t value_mask, const xcb_render_change_picture_value_list_t *value_list)
void * | xcb_render_change_picture_value_list (const xcb_render_change_picture_request_t *R)
int | xcb_render_set_picture_clip_rectangles_sizeof (const void *_buffer, uint32_t rectangles_len)
xcb_void_cookie_t | xcb_render_set_picture_clip_rectangles_checked (xcb_connection_t *c, xcb_render_picture_t picture, int16_t clip_x_origin, int16_t clip_y_origin, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_render_set_picture_clip_rectangles (xcb_connection_t *c, xcb_render_picture_t picture, int16_t clip_x_origin, int16_t clip_y_origin, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_rectangle_t * | xcb_render_set_picture_clip_rectangles_rectangles (const xcb_render_set_picture_clip_rectangles_request_t *R)
int | xcb_render_set_picture_clip_rectangles_rectangles_length (const xcb_render_set_picture_clip_rectangles_request_t *R)
xcb_rectangle_iterator_t | xcb_render_set_picture_clip_rectangles_rectangles_iterator (const xcb_render_set_picture_clip_rectangles_request_t *R)
xcb_void_cookie_t | xcb_render_free_picture_checked (xcb_connection_t *c, xcb_render_picture_t picture)
xcb_void_cookie_t | xcb_render_free_picture (xcb_connection_t *c, xcb_render_picture_t picture)
xcb_void_cookie_t | xcb_render_composite_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t mask, xcb_render_picture_t dst, int16_t src_x, int16_t src_y, int16_t mask_x, int16_t mask_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height)
xcb_void_cookie_t | xcb_render_composite (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t mask, xcb_render_picture_t dst, int16_t src_x, int16_t src_y, int16_t mask_x, int16_t mask_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height)
int | xcb_render_trapezoids_sizeof (const void *_buffer, uint32_t traps_len)
xcb_void_cookie_t | xcb_render_trapezoids_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t traps_len, const xcb_render_trapezoid_t *traps)
xcb_void_cookie_t | xcb_render_trapezoids (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t traps_len, const xcb_render_trapezoid_t *traps)
xcb_render_trapezoid_t * | xcb_render_trapezoids_traps (const xcb_render_trapezoids_request_t *R)
int | xcb_render_trapezoids_traps_length (const xcb_render_trapezoids_request_t *R)
xcb_render_trapezoid_iterator_t | xcb_render_trapezoids_traps_iterator (const xcb_render_trapezoids_request_t *R)
int | xcb_render_triangles_sizeof (const void *_buffer, uint32_t triangles_len)
xcb_void_cookie_t | xcb_render_triangles_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t triangles_len, const xcb_render_triangle_t *triangles)
xcb_void_cookie_t | xcb_render_triangles (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t triangles_len, const xcb_render_triangle_t *triangles)
xcb_render_triangle_t * | xcb_render_triangles_triangles (const xcb_render_triangles_request_t *R)
int | xcb_render_triangles_triangles_length (const xcb_render_triangles_request_t *R)
xcb_render_triangle_iterator_t | xcb_render_triangles_triangles_iterator (const xcb_render_triangles_request_t *R)
int | xcb_render_tri_strip_sizeof (const void *_buffer, uint32_t points_len)
xcb_void_cookie_t | xcb_render_tri_strip_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t points_len, const xcb_render_pointfix_t *points)
xcb_void_cookie_t | xcb_render_tri_strip (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t points_len, const xcb_render_pointfix_t *points)
xcb_render_pointfix_t * | xcb_render_tri_strip_points (const xcb_render_tri_strip_request_t *R)
int | xcb_render_tri_strip_points_length (const xcb_render_tri_strip_request_t *R)
xcb_render_pointfix_iterator_t | xcb_render_tri_strip_points_iterator (const xcb_render_tri_strip_request_t *R)
int | xcb_render_tri_fan_sizeof (const void *_buffer, uint32_t points_len)
xcb_void_cookie_t | xcb_render_tri_fan_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t points_len, const xcb_render_pointfix_t *points)
xcb_void_cookie_t | xcb_render_tri_fan (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t points_len, const xcb_render_pointfix_t *points)
xcb_render_pointfix_t * | xcb_render_tri_fan_points (const xcb_render_tri_fan_request_t *R)
int | xcb_render_tri_fan_points_length (const xcb_render_tri_fan_request_t *R)
xcb_render_pointfix_iterator_t | xcb_render_tri_fan_points_iterator (const xcb_render_tri_fan_request_t *R)
xcb_void_cookie_t | xcb_render_create_glyph_set_checked (xcb_connection_t *c, xcb_render_glyphset_t gsid, xcb_render_pictformat_t format)
xcb_void_cookie_t | xcb_render_create_glyph_set (xcb_connection_t *c, xcb_render_glyphset_t gsid, xcb_render_pictformat_t format)
xcb_void_cookie_t | xcb_render_reference_glyph_set_checked (xcb_connection_t *c, xcb_render_glyphset_t gsid, xcb_render_glyphset_t existing)
xcb_void_cookie_t | xcb_render_reference_glyph_set (xcb_connection_t *c, xcb_render_glyphset_t gsid, xcb_render_glyphset_t existing)
xcb_void_cookie_t | xcb_render_free_glyph_set_checked (xcb_connection_t *c, xcb_render_glyphset_t glyphset)
xcb_void_cookie_t | xcb_render_free_glyph_set (xcb_connection_t *c, xcb_render_glyphset_t glyphset)
int | xcb_render_add_glyphs_sizeof (const void *_buffer, uint32_t data_len)
xcb_void_cookie_t | xcb_render_add_glyphs_checked (xcb_connection_t *c, xcb_render_glyphset_t glyphset, uint32_t glyphs_len, const uint32_t *glyphids, const xcb_render_glyphinfo_t *glyphs, uint32_t data_len, const uint8_t *data)
xcb_void_cookie_t | xcb_render_add_glyphs (xcb_connection_t *c, xcb_render_glyphset_t glyphset, uint32_t glyphs_len, const uint32_t *glyphids, const xcb_render_glyphinfo_t *glyphs, uint32_t data_len, const uint8_t *data)
uint32_t * | xcb_render_add_glyphs_glyphids (const xcb_render_add_glyphs_request_t *R)
int | xcb_render_add_glyphs_glyphids_length (const xcb_render_add_glyphs_request_t *R)
xcb_generic_iterator_t | xcb_render_add_glyphs_glyphids_end (const xcb_render_add_glyphs_request_t *R)
xcb_render_glyphinfo_t * | xcb_render_add_glyphs_glyphs (const xcb_render_add_glyphs_request_t *R)
int | xcb_render_add_glyphs_glyphs_length (const xcb_render_add_glyphs_request_t *R)
xcb_render_glyphinfo_iterator_t | xcb_render_add_glyphs_glyphs_iterator (const xcb_render_add_glyphs_request_t *R)
uint8_t * | xcb_render_add_glyphs_data (const xcb_render_add_glyphs_request_t *R)
int | xcb_render_add_glyphs_data_length (const xcb_render_add_glyphs_request_t *R)
xcb_generic_iterator_t | xcb_render_add_glyphs_data_end (const xcb_render_add_glyphs_request_t *R)
int | xcb_render_free_glyphs_sizeof (const void *_buffer, uint32_t glyphs_len)
xcb_void_cookie_t | xcb_render_free_glyphs_checked (xcb_connection_t *c, xcb_render_glyphset_t glyphset, uint32_t glyphs_len, const xcb_render_glyph_t *glyphs)
xcb_void_cookie_t | xcb_render_free_glyphs (xcb_connection_t *c, xcb_render_glyphset_t glyphset, uint32_t glyphs_len, const xcb_render_glyph_t *glyphs)
xcb_render_glyph_t * | xcb_render_free_glyphs_glyphs (const xcb_render_free_glyphs_request_t *R)
int | xcb_render_free_glyphs_glyphs_length (const xcb_render_free_glyphs_request_t *R)
xcb_generic_iterator_t | xcb_render_free_glyphs_glyphs_end (const xcb_render_free_glyphs_request_t *R)
int | xcb_render_composite_glyphs_8_sizeof (const void *_buffer, uint32_t glyphcmds_len)
xcb_void_cookie_t | xcb_render_composite_glyphs_8_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, xcb_render_glyphset_t glyphset, int16_t src_x, int16_t src_y, uint32_t glyphcmds_len, const uint8_t *glyphcmds)
xcb_void_cookie_t | xcb_render_composite_glyphs_8 (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, xcb_render_glyphset_t glyphset, int16_t src_x, int16_t src_y, uint32_t glyphcmds_len, const uint8_t *glyphcmds)
uint8_t * | xcb_render_composite_glyphs_8_glyphcmds (const xcb_render_composite_glyphs_8_request_t *R)
int | xcb_render_composite_glyphs_8_glyphcmds_length (const xcb_render_composite_glyphs_8_request_t *R)
xcb_generic_iterator_t | xcb_render_composite_glyphs_8_glyphcmds_end (const xcb_render_composite_glyphs_8_request_t *R)
int | xcb_render_composite_glyphs_16_sizeof (const void *_buffer, uint32_t glyphcmds_len)
xcb_void_cookie_t | xcb_render_composite_glyphs_16_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, xcb_render_glyphset_t glyphset, int16_t src_x, int16_t src_y, uint32_t glyphcmds_len, const uint8_t *glyphcmds)
xcb_void_cookie_t | xcb_render_composite_glyphs_16 (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, xcb_render_glyphset_t glyphset, int16_t src_x, int16_t src_y, uint32_t glyphcmds_len, const uint8_t *glyphcmds)
uint8_t * | xcb_render_composite_glyphs_16_glyphcmds (const xcb_render_composite_glyphs_16_request_t *R)
int | xcb_render_composite_glyphs_16_glyphcmds_length (const xcb_render_composite_glyphs_16_request_t *R)
xcb_generic_iterator_t | xcb_render_composite_glyphs_16_glyphcmds_end (const xcb_render_composite_glyphs_16_request_t *R)
int | xcb_render_composite_glyphs_32_sizeof (const void *_buffer, uint32_t glyphcmds_len)
xcb_void_cookie_t | xcb_render_composite_glyphs_32_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, xcb_render_glyphset_t glyphset, int16_t src_x, int16_t src_y, uint32_t glyphcmds_len, const uint8_t *glyphcmds)
xcb_void_cookie_t | xcb_render_composite_glyphs_32 (xcb_connection_t *c, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, xcb_render_glyphset_t glyphset, int16_t src_x, int16_t src_y, uint32_t glyphcmds_len, const uint8_t *glyphcmds)
uint8_t * | xcb_render_composite_glyphs_32_glyphcmds (const xcb_render_composite_glyphs_32_request_t *R)
int | xcb_render_composite_glyphs_32_glyphcmds_length (const xcb_render_composite_glyphs_32_request_t *R)
xcb_generic_iterator_t | xcb_render_composite_glyphs_32_glyphcmds_end (const xcb_render_composite_glyphs_32_request_t *R)
int | xcb_render_fill_rectangles_sizeof (const void *_buffer, uint32_t rects_len)
xcb_void_cookie_t | xcb_render_fill_rectangles_checked (xcb_connection_t *c, uint8_t op, xcb_render_picture_t dst, xcb_render_color_t color, uint32_t rects_len, const xcb_rectangle_t *rects)
xcb_void_cookie_t | xcb_render_fill_rectangles (xcb_connection_t *c, uint8_t op, xcb_render_picture_t dst, xcb_render_color_t color, uint32_t rects_len, const xcb_rectangle_t *rects)
xcb_rectangle_t * | xcb_render_fill_rectangles_rects (const xcb_render_fill_rectangles_request_t *R)
int | xcb_render_fill_rectangles_rects_length (const xcb_render_fill_rectangles_request_t *R)
xcb_rectangle_iterator_t | xcb_render_fill_rectangles_rects_iterator (const xcb_render_fill_rectangles_request_t *R)
xcb_void_cookie_t | xcb_render_create_cursor_checked (xcb_connection_t *c, xcb_cursor_t cid, xcb_render_picture_t source, uint16_t x, uint16_t y)
xcb_void_cookie_t | xcb_render_create_cursor (xcb_connection_t *c, xcb_cursor_t cid, xcb_render_picture_t source, uint16_t x, uint16_t y)
void | xcb_render_transform_next (xcb_render_transform_iterator_t *i)
xcb_generic_iterator_t | xcb_render_transform_end (xcb_render_transform_iterator_t i)
xcb_void_cookie_t | xcb_render_set_picture_transform_checked (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_transform_t transform)
xcb_void_cookie_t | xcb_render_set_picture_transform (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_transform_t transform)
int | xcb_render_query_filters_sizeof (const void *_buffer)
xcb_render_query_filters_cookie_t | xcb_render_query_filters (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_render_query_filters_cookie_t | xcb_render_query_filters_unchecked (xcb_connection_t *c, xcb_drawable_t drawable)
uint16_t * | xcb_render_query_filters_aliases (const xcb_render_query_filters_reply_t *R)
int | xcb_render_query_filters_aliases_length (const xcb_render_query_filters_reply_t *R)
xcb_generic_iterator_t | xcb_render_query_filters_aliases_end (const xcb_render_query_filters_reply_t *R)
int | xcb_render_query_filters_filters_length (const xcb_render_query_filters_reply_t *R)
xcb_str_iterator_t | xcb_render_query_filters_filters_iterator (const xcb_render_query_filters_reply_t *R)
xcb_render_query_filters_reply_t * | xcb_render_query_filters_reply (xcb_connection_t *c, xcb_render_query_filters_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_render_set_picture_filter_sizeof (const void *_buffer, uint32_t values_len)
xcb_void_cookie_t | xcb_render_set_picture_filter_checked (xcb_connection_t *c, xcb_render_picture_t picture, uint16_t filter_len, const char *filter, uint32_t values_len, const xcb_render_fixed_t *values)
xcb_void_cookie_t | xcb_render_set_picture_filter (xcb_connection_t *c, xcb_render_picture_t picture, uint16_t filter_len, const char *filter, uint32_t values_len, const xcb_render_fixed_t *values)
char * | xcb_render_set_picture_filter_filter (const xcb_render_set_picture_filter_request_t *R)
int | xcb_render_set_picture_filter_filter_length (const xcb_render_set_picture_filter_request_t *R)
xcb_generic_iterator_t | xcb_render_set_picture_filter_filter_end (const xcb_render_set_picture_filter_request_t *R)
xcb_render_fixed_t * | xcb_render_set_picture_filter_values (const xcb_render_set_picture_filter_request_t *R)
int | xcb_render_set_picture_filter_values_length (const xcb_render_set_picture_filter_request_t *R)
xcb_generic_iterator_t | xcb_render_set_picture_filter_values_end (const xcb_render_set_picture_filter_request_t *R)
void | xcb_render_animcursorelt_next (xcb_render_animcursorelt_iterator_t *i)
xcb_generic_iterator_t | xcb_render_animcursorelt_end (xcb_render_animcursorelt_iterator_t i)
int | xcb_render_create_anim_cursor_sizeof (const void *_buffer, uint32_t cursors_len)
xcb_void_cookie_t | xcb_render_create_anim_cursor_checked (xcb_connection_t *c, xcb_cursor_t cid, uint32_t cursors_len, const xcb_render_animcursorelt_t *cursors)
xcb_void_cookie_t | xcb_render_create_anim_cursor (xcb_connection_t *c, xcb_cursor_t cid, uint32_t cursors_len, const xcb_render_animcursorelt_t *cursors)
xcb_render_animcursorelt_t * | xcb_render_create_anim_cursor_cursors (const xcb_render_create_anim_cursor_request_t *R)
int | xcb_render_create_anim_cursor_cursors_length (const xcb_render_create_anim_cursor_request_t *R)
xcb_render_animcursorelt_iterator_t | xcb_render_create_anim_cursor_cursors_iterator (const xcb_render_create_anim_cursor_request_t *R)
void | xcb_render_spanfix_next (xcb_render_spanfix_iterator_t *i)
xcb_generic_iterator_t | xcb_render_spanfix_end (xcb_render_spanfix_iterator_t i)
void | xcb_render_trap_next (xcb_render_trap_iterator_t *i)
xcb_generic_iterator_t | xcb_render_trap_end (xcb_render_trap_iterator_t i)
int | xcb_render_add_traps_sizeof (const void *_buffer, uint32_t traps_len)
xcb_void_cookie_t | xcb_render_add_traps_checked (xcb_connection_t *c, xcb_render_picture_t picture, int16_t x_off, int16_t y_off, uint32_t traps_len, const xcb_render_trap_t *traps)
xcb_void_cookie_t | xcb_render_add_traps (xcb_connection_t *c, xcb_render_picture_t picture, int16_t x_off, int16_t y_off, uint32_t traps_len, const xcb_render_trap_t *traps)
xcb_render_trap_t * | xcb_render_add_traps_traps (const xcb_render_add_traps_request_t *R)
int | xcb_render_add_traps_traps_length (const xcb_render_add_traps_request_t *R)
xcb_render_trap_iterator_t | xcb_render_add_traps_traps_iterator (const xcb_render_add_traps_request_t *R)
xcb_void_cookie_t | xcb_render_create_solid_fill_checked (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_color_t color)
xcb_void_cookie_t | xcb_render_create_solid_fill (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_color_t color)
int | xcb_render_create_linear_gradient_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_render_create_linear_gradient_checked (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_pointfix_t p1, xcb_render_pointfix_t p2, uint32_t num_stops, const xcb_render_fixed_t *stops, const xcb_render_color_t *colors)
xcb_void_cookie_t | xcb_render_create_linear_gradient (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_pointfix_t p1, xcb_render_pointfix_t p2, uint32_t num_stops, const xcb_render_fixed_t *stops, const xcb_render_color_t *colors)
xcb_render_fixed_t * | xcb_render_create_linear_gradient_stops (const xcb_render_create_linear_gradient_request_t *R)
int | xcb_render_create_linear_gradient_stops_length (const xcb_render_create_linear_gradient_request_t *R)
xcb_generic_iterator_t | xcb_render_create_linear_gradient_stops_end (const xcb_render_create_linear_gradient_request_t *R)
xcb_render_color_t * | xcb_render_create_linear_gradient_colors (const xcb_render_create_linear_gradient_request_t *R)
int | xcb_render_create_linear_gradient_colors_length (const xcb_render_create_linear_gradient_request_t *R)
xcb_render_color_iterator_t | xcb_render_create_linear_gradient_colors_iterator (const xcb_render_create_linear_gradient_request_t *R)
int | xcb_render_create_radial_gradient_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_render_create_radial_gradient_checked (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_pointfix_t inner, xcb_render_pointfix_t outer, xcb_render_fixed_t inner_radius, xcb_render_fixed_t outer_radius, uint32_t num_stops, const xcb_render_fixed_t *stops, const xcb_render_color_t *colors)
xcb_void_cookie_t | xcb_render_create_radial_gradient (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_pointfix_t inner, xcb_render_pointfix_t outer, xcb_render_fixed_t inner_radius, xcb_render_fixed_t outer_radius, uint32_t num_stops, const xcb_render_fixed_t *stops, const xcb_render_color_t *colors)
xcb_render_fixed_t * | xcb_render_create_radial_gradient_stops (const xcb_render_create_radial_gradient_request_t *R)
int | xcb_render_create_radial_gradient_stops_length (const xcb_render_create_radial_gradient_request_t *R)
xcb_generic_iterator_t | xcb_render_create_radial_gradient_stops_end (const xcb_render_create_radial_gradient_request_t *R)
xcb_render_color_t * | xcb_render_create_radial_gradient_colors (const xcb_render_create_radial_gradient_request_t *R)
int | xcb_render_create_radial_gradient_colors_length (const xcb_render_create_radial_gradient_request_t *R)
xcb_render_color_iterator_t | xcb_render_create_radial_gradient_colors_iterator (const xcb_render_create_radial_gradient_request_t *R)
int | xcb_render_create_conical_gradient_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_render_create_conical_gradient_checked (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_pointfix_t center, xcb_render_fixed_t angle, uint32_t num_stops, const xcb_render_fixed_t *stops, const xcb_render_color_t *colors)
xcb_void_cookie_t | xcb_render_create_conical_gradient (xcb_connection_t *c, xcb_render_picture_t picture, xcb_render_pointfix_t center, xcb_render_fixed_t angle, uint32_t num_stops, const xcb_render_fixed_t *stops, const xcb_render_color_t *colors)
xcb_render_fixed_t * | xcb_render_create_conical_gradient_stops (const xcb_render_create_conical_gradient_request_t *R)
int | xcb_render_create_conical_gradient_stops_length (const xcb_render_create_conical_gradient_request_t *R)
xcb_generic_iterator_t | xcb_render_create_conical_gradient_stops_end (const xcb_render_create_conical_gradient_request_t *R)
xcb_render_color_t * | xcb_render_create_conical_gradient_colors (const xcb_render_create_conical_gradient_request_t *R)
int | xcb_render_create_conical_gradient_colors_length (const xcb_render_create_conical_gradient_request_t *R)
xcb_render_color_iterator_t | xcb_render_create_conical_gradient_colors_iterator (const xcb_render_create_conical_gradient_request_t *R)

## Variables

xcb_extension_t | xcb_render_id

## Detailed Description

Render XCB Protocol Implementation.

## Macro Definition Documentation

## XCB_RENDER_ADD_GLYPHS

#define XCB_RENDER_ADD_GLYPHS 20

Opcode for xcb_render_add_glyphs.

Referenced by xcb_render_add_glyphs(), and xcb_render_add_glyphs_checked().

## XCB_RENDER_ADD_TRAPS

#define XCB_RENDER_ADD_TRAPS 32

Opcode for xcb_render_add_traps.

Referenced by xcb_render_add_traps(), and xcb_render_add_traps_checked().

## XCB_RENDER_CHANGE_PICTURE

#define XCB_RENDER_CHANGE_PICTURE 5

Opcode for xcb_render_change_picture.

Referenced by xcb_render_change_picture(), xcb_render_change_picture_aux(), xcb_render_change_picture_aux_checked(), and xcb_render_change_picture_checked().

## XCB_RENDER_COMPOSITE

#define XCB_RENDER_COMPOSITE 8

Opcode for xcb_render_composite.

Referenced by xcb_render_composite(), and xcb_render_composite_checked().

## XCB_RENDER_COMPOSITE_GLYPHS_16

#define XCB_RENDER_COMPOSITE_GLYPHS_16 24

Opcode for xcb_render_composite_glyphs_16.

Referenced by xcb_render_composite_glyphs_16(), and xcb_render_composite_glyphs_16_checked().

## XCB_RENDER_COMPOSITE_GLYPHS_32

#define XCB_RENDER_COMPOSITE_GLYPHS_32 25

Opcode for xcb_render_composite_glyphs_32.

Referenced by xcb_render_composite_glyphs_32(), and xcb_render_composite_glyphs_32_checked().

## XCB_RENDER_COMPOSITE_GLYPHS_8

#define XCB_RENDER_COMPOSITE_GLYPHS_8 23

Opcode for xcb_render_composite_glyphs_8.

Referenced by xcb_render_composite_glyphs_8(), and xcb_render_composite_glyphs_8_checked().

## XCB_RENDER_CREATE_ANIM_CURSOR

#define XCB_RENDER_CREATE_ANIM_CURSOR 31

Opcode for xcb_render_create_anim_cursor.

Referenced by xcb_render_create_anim_cursor(), and xcb_render_create_anim_cursor_checked().

## XCB_RENDER_CREATE_CONICAL_GRADIENT

#define XCB_RENDER_CREATE_CONICAL_GRADIENT 36

Opcode for xcb_render_create_conical_gradient.

Referenced by xcb_render_create_conical_gradient(), and xcb_render_create_conical_gradient_checked().

## XCB_RENDER_CREATE_CURSOR

#define XCB_RENDER_CREATE_CURSOR 27

Opcode for xcb_render_create_cursor.

Referenced by xcb_render_create_cursor(), and xcb_render_create_cursor_checked().

## XCB_RENDER_CREATE_GLYPH_SET

#define XCB_RENDER_CREATE_GLYPH_SET 17

Opcode for xcb_render_create_glyph_set.

Referenced by xcb_render_create_glyph_set(), and xcb_render_create_glyph_set_checked().

## XCB_RENDER_CREATE_LINEAR_GRADIENT

#define XCB_RENDER_CREATE_LINEAR_GRADIENT 34

Opcode for xcb_render_create_linear_gradient.

Referenced by xcb_render_create_linear_gradient(), and xcb_render_create_linear_gradient_checked().

## XCB_RENDER_CREATE_PICTURE

#define XCB_RENDER_CREATE_PICTURE 4

Opcode for xcb_render_create_picture.

Referenced by xcb_render_create_picture(), xcb_render_create_picture_aux(), xcb_render_create_picture_aux_checked(), and xcb_render_create_picture_checked().

## XCB_RENDER_CREATE_RADIAL_GRADIENT

#define XCB_RENDER_CREATE_RADIAL_GRADIENT 35

Opcode for xcb_render_create_radial_gradient.

Referenced by xcb_render_create_radial_gradient(), and xcb_render_create_radial_gradient_checked().

## XCB_RENDER_CREATE_SOLID_FILL

#define XCB_RENDER_CREATE_SOLID_FILL 33

Opcode for xcb_render_create_solid_fill.

Referenced by xcb_render_create_solid_fill(), and xcb_render_create_solid_fill_checked().

## XCB_RENDER_FILL_RECTANGLES

#define XCB_RENDER_FILL_RECTANGLES 26

Opcode for xcb_render_fill_rectangles.

Referenced by xcb_render_fill_rectangles(), and xcb_render_fill_rectangles_checked().

## XCB_RENDER_FREE_GLYPH_SET

#define XCB_RENDER_FREE_GLYPH_SET 19

Opcode for xcb_render_free_glyph_set.

Referenced by xcb_render_free_glyph_set(), and xcb_render_free_glyph_set_checked().

## XCB_RENDER_FREE_GLYPHS

#define XCB_RENDER_FREE_GLYPHS 22

Opcode for xcb_render_free_glyphs.

Referenced by xcb_render_free_glyphs(), and xcb_render_free_glyphs_checked().

## XCB_RENDER_FREE_PICTURE

#define XCB_RENDER_FREE_PICTURE 7

Opcode for xcb_render_free_picture.

Referenced by xcb_render_free_picture(), and xcb_render_free_picture_checked().

## XCB_RENDER_GLYPH

#define XCB_RENDER_GLYPH 4

Opcode for xcb_render_glyph.

## XCB_RENDER_GLYPH_SET

#define XCB_RENDER_GLYPH_SET 3

Opcode for xcb_render_glyph_set.

## XCB_RENDER_PICT_FORMAT

#define XCB_RENDER_PICT_FORMAT 0

Opcode for xcb_render_pict_format.

## XCB_RENDER_PICT_OP

#define XCB_RENDER_PICT_OP 2

Opcode for xcb_render_pict_op.

## XCB_RENDER_PICTURE

#define XCB_RENDER_PICTURE 1

Opcode for xcb_render_picture.

## XCB_RENDER_QUERY_FILTERS

#define XCB_RENDER_QUERY_FILTERS 29

Opcode for xcb_render_query_filters.

Referenced by xcb_render_query_filters(), and xcb_render_query_filters_unchecked().

## XCB_RENDER_QUERY_PICT_FORMATS

#define XCB_RENDER_QUERY_PICT_FORMATS 1

Opcode for xcb_render_query_pict_formats.

Referenced by xcb_render_query_pict_formats(), and xcb_render_query_pict_formats_unchecked().

## XCB_RENDER_QUERY_PICT_INDEX_VALUES

#define XCB_RENDER_QUERY_PICT_INDEX_VALUES 2

Opcode for xcb_render_query_pict_index_values.

Referenced by xcb_render_query_pict_index_values(), and xcb_render_query_pict_index_values_unchecked().

## XCB_RENDER_QUERY_VERSION

#define XCB_RENDER_QUERY_VERSION 0

Opcode for xcb_render_query_version.

Referenced by xcb_render_query_version(), and xcb_render_query_version_unchecked().

## XCB_RENDER_REFERENCE_GLYPH_SET

#define XCB_RENDER_REFERENCE_GLYPH_SET 18

Opcode for xcb_render_reference_glyph_set.

Referenced by xcb_render_reference_glyph_set(), and xcb_render_reference_glyph_set_checked().

## XCB_RENDER_SET_PICTURE_CLIP_RECTANGLES

#define XCB_RENDER_SET_PICTURE_CLIP_RECTANGLES 6

Opcode for xcb_render_set_picture_clip_rectangles.

Referenced by xcb_render_set_picture_clip_rectangles(), and xcb_render_set_picture_clip_rectangles_checked().

## XCB_RENDER_SET_PICTURE_FILTER

#define XCB_RENDER_SET_PICTURE_FILTER 30

Opcode for xcb_render_set_picture_filter.

Referenced by xcb_render_set_picture_filter(), and xcb_render_set_picture_filter_checked().

## XCB_RENDER_SET_PICTURE_TRANSFORM

#define XCB_RENDER_SET_PICTURE_TRANSFORM 28

Opcode for xcb_render_set_picture_transform.

Referenced by xcb_render_set_picture_transform(), and xcb_render_set_picture_transform_checked().

## XCB_RENDER_TRAPEZOIDS

#define XCB_RENDER_TRAPEZOIDS 10

Opcode for xcb_render_trapezoids.

Referenced by xcb_render_trapezoids(), and xcb_render_trapezoids_checked().

## XCB_RENDER_TRI_FAN

#define XCB_RENDER_TRI_FAN 13

Opcode for xcb_render_tri_fan.

Referenced by xcb_render_tri_fan(), and xcb_render_tri_fan_checked().

## XCB_RENDER_TRI_STRIP

#define XCB_RENDER_TRI_STRIP 12

Opcode for xcb_render_tri_strip.

Referenced by xcb_render_tri_strip(), and xcb_render_tri_strip_checked().

## XCB_RENDER_TRIANGLES

#define XCB_RENDER_TRIANGLES 11

Opcode for xcb_render_triangles.

Referenced by xcb_render_triangles(), and xcb_render_triangles_checked().

## Function Documentation

## xcb_render_add_glyphs()

xcb_void_cookie_t xcb_render_add_glyphs | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | glyphset,
|  | uint32_t | glyphs_len,
|  | const uint32_t * | glyphids,
|  | const xcb_render_glyphinfo_t * | glyphs,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_ADD_GLYPHS.

## xcb_render_add_glyphs_checked()

xcb_void_cookie_t xcb_render_add_glyphs_checked | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | glyphset,
|  | uint32_t | glyphs_len,
|  | const uint32_t * | glyphids,
|  | const xcb_render_glyphinfo_t * | glyphs,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_ADD_GLYPHS.

## xcb_render_add_traps()

xcb_void_cookie_t xcb_render_add_traps | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | int16_t | x_off,
|  | int16_t | y_off,
|  | uint32_t | traps_len,
|  | const xcb_render_trap_t * | traps )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_ADD_TRAPS.

## xcb_render_add_traps_checked()

xcb_void_cookie_t xcb_render_add_traps_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | int16_t | x_off,
|  | int16_t | y_off,
|  | uint32_t | traps_len,
|  | const xcb_render_trap_t * | traps )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_ADD_TRAPS.

## xcb_render_animcursorelt_end()

xcb_generic_iterator_t xcb_render_animcursorelt_end | ( | xcb_render_animcursorelt_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_animcursorelt_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_animcursorelt_next()

void xcb_render_animcursorelt_next | ( | xcb_render_animcursorelt_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_animcursorelt_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_animcursorelt_t)

## xcb_render_change_picture()

xcb_void_cookie_t xcb_render_change_picture | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CHANGE_PICTURE.

## xcb_render_change_picture_aux()

xcb_void_cookie_t xcb_render_change_picture_aux | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | uint32_t | value_mask,
|  | const xcb_render_change_picture_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CHANGE_PICTURE.

## xcb_render_change_picture_aux_checked()

xcb_void_cookie_t xcb_render_change_picture_aux_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | uint32_t | value_mask,
|  | const xcb_render_change_picture_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CHANGE_PICTURE.

## xcb_render_change_picture_checked()

xcb_void_cookie_t xcb_render_change_picture_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CHANGE_PICTURE.

## xcb_render_color_end()

xcb_generic_iterator_t xcb_render_color_end | ( | xcb_render_color_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_color_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_color_next()

void xcb_render_color_next | ( | xcb_render_color_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_color_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_color_t)

## xcb_render_composite()

xcb_void_cookie_t xcb_render_composite | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | mask,
|  | xcb_render_picture_t | dst,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | int16_t | mask_x,
|  | int16_t | mask_y,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint16_t | width,
|  | uint16_t | height )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_COMPOSITE.

## xcb_render_composite_checked()

xcb_void_cookie_t xcb_render_composite_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | mask,
|  | xcb_render_picture_t | dst,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | int16_t | mask_x,
|  | int16_t | mask_y,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint16_t | width,
|  | uint16_t | height )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_COMPOSITE.

## xcb_render_composite_glyphs_16()

xcb_void_cookie_t xcb_render_composite_glyphs_16 | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | xcb_render_glyphset_t | glyphset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | glyphcmds_len,
|  | const uint8_t * | glyphcmds )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_COMPOSITE_GLYPHS_16.

## xcb_render_composite_glyphs_16_checked()

xcb_void_cookie_t xcb_render_composite_glyphs_16_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | xcb_render_glyphset_t | glyphset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | glyphcmds_len,
|  | const uint8_t * | glyphcmds )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_COMPOSITE_GLYPHS_16.

## xcb_render_composite_glyphs_32()

xcb_void_cookie_t xcb_render_composite_glyphs_32 | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | xcb_render_glyphset_t | glyphset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | glyphcmds_len,
|  | const uint8_t * | glyphcmds )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_COMPOSITE_GLYPHS_32.

## xcb_render_composite_glyphs_32_checked()

xcb_void_cookie_t xcb_render_composite_glyphs_32_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | xcb_render_glyphset_t | glyphset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | glyphcmds_len,
|  | const uint8_t * | glyphcmds )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_COMPOSITE_GLYPHS_32.

## xcb_render_composite_glyphs_8()

xcb_void_cookie_t xcb_render_composite_glyphs_8 | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | xcb_render_glyphset_t | glyphset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | glyphcmds_len,
|  | const uint8_t * | glyphcmds )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_COMPOSITE_GLYPHS_8.

## xcb_render_composite_glyphs_8_checked()

xcb_void_cookie_t xcb_render_composite_glyphs_8_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | xcb_render_glyphset_t | glyphset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | glyphcmds_len,
|  | const uint8_t * | glyphcmds )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_COMPOSITE_GLYPHS_8.

## xcb_render_create_anim_cursor()

xcb_void_cookie_t xcb_render_create_anim_cursor | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | uint32_t | cursors_len,
|  | const xcb_render_animcursorelt_t * | cursors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_ANIM_CURSOR.

## xcb_render_create_anim_cursor_checked()

xcb_void_cookie_t xcb_render_create_anim_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | uint32_t | cursors_len,
|  | const xcb_render_animcursorelt_t * | cursors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_ANIM_CURSOR.

## xcb_render_create_conical_gradient()

xcb_void_cookie_t xcb_render_create_conical_gradient | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_pointfix_t | center,
|  | xcb_render_fixed_t | angle,
|  | uint32_t | num_stops,
|  | const xcb_render_fixed_t * | stops,
|  | const xcb_render_color_t * | colors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_CONICAL_GRADIENT.

## xcb_render_create_conical_gradient_checked()

xcb_void_cookie_t xcb_render_create_conical_gradient_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_pointfix_t | center,
|  | xcb_render_fixed_t | angle,
|  | uint32_t | num_stops,
|  | const xcb_render_fixed_t * | stops,
|  | const xcb_render_color_t * | colors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_CONICAL_GRADIENT.

## xcb_render_create_cursor()

xcb_void_cookie_t xcb_render_create_cursor | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | xcb_render_picture_t | source,
|  | uint16_t | x,
|  | uint16_t | y )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_CURSOR.

## xcb_render_create_cursor_checked()

xcb_void_cookie_t xcb_render_create_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | xcb_render_picture_t | source,
|  | uint16_t | x,
|  | uint16_t | y )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_CURSOR.

## xcb_render_create_glyph_set()

xcb_void_cookie_t xcb_render_create_glyph_set | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | gsid,
|  | xcb_render_pictformat_t | format )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_GLYPH_SET.

## xcb_render_create_glyph_set_checked()

xcb_void_cookie_t xcb_render_create_glyph_set_checked | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | gsid,
|  | xcb_render_pictformat_t | format )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_GLYPH_SET.

## xcb_render_create_linear_gradient()

xcb_void_cookie_t xcb_render_create_linear_gradient | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_pointfix_t | p1,
|  | xcb_render_pointfix_t | p2,
|  | uint32_t | num_stops,
|  | const xcb_render_fixed_t * | stops,
|  | const xcb_render_color_t * | colors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_LINEAR_GRADIENT.

## xcb_render_create_linear_gradient_checked()

xcb_void_cookie_t xcb_render_create_linear_gradient_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_pointfix_t | p1,
|  | xcb_render_pointfix_t | p2,
|  | uint32_t | num_stops,
|  | const xcb_render_fixed_t * | stops,
|  | const xcb_render_color_t * | colors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_LINEAR_GRADIENT.

## xcb_render_create_picture()

xcb_void_cookie_t xcb_render_create_picture | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | pid,
|  | xcb_drawable_t | drawable,
|  | xcb_render_pictformat_t | format,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_PICTURE.

## xcb_render_create_picture_aux()

xcb_void_cookie_t xcb_render_create_picture_aux | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | pid,
|  | xcb_drawable_t | drawable,
|  | xcb_render_pictformat_t | format,
|  | uint32_t | value_mask,
|  | const xcb_render_create_picture_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_PICTURE.

## xcb_render_create_picture_aux_checked()

xcb_void_cookie_t xcb_render_create_picture_aux_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | pid,
|  | xcb_drawable_t | drawable,
|  | xcb_render_pictformat_t | format,
|  | uint32_t | value_mask,
|  | const xcb_render_create_picture_value_list_t * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_PICTURE.

## xcb_render_create_picture_checked()

xcb_void_cookie_t xcb_render_create_picture_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | pid,
|  | xcb_drawable_t | drawable,
|  | xcb_render_pictformat_t | format,
|  | uint32_t | value_mask,
|  | const void * | value_list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_PICTURE.

## xcb_render_create_radial_gradient()

xcb_void_cookie_t xcb_render_create_radial_gradient | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_pointfix_t | inner,
|  | xcb_render_pointfix_t | outer,
|  | xcb_render_fixed_t | inner_radius,
|  | xcb_render_fixed_t | outer_radius,
|  | uint32_t | num_stops,
|  | const xcb_render_fixed_t * | stops,
|  | const xcb_render_color_t * | colors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_RADIAL_GRADIENT.

## xcb_render_create_radial_gradient_checked()

xcb_void_cookie_t xcb_render_create_radial_gradient_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_pointfix_t | inner,
|  | xcb_render_pointfix_t | outer,
|  | xcb_render_fixed_t | inner_radius,
|  | xcb_render_fixed_t | outer_radius,
|  | uint32_t | num_stops,
|  | const xcb_render_fixed_t * | stops,
|  | const xcb_render_color_t * | colors )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_RADIAL_GRADIENT.

## xcb_render_create_solid_fill()

xcb_void_cookie_t xcb_render_create_solid_fill | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_color_t | color )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_CREATE_SOLID_FILL.

## xcb_render_create_solid_fill_checked()

xcb_void_cookie_t xcb_render_create_solid_fill_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_color_t | color )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_CREATE_SOLID_FILL.

## xcb_render_directformat_end()

xcb_generic_iterator_t xcb_render_directformat_end | ( | xcb_render_directformat_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_directformat_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_directformat_next()

void xcb_render_directformat_next | ( | xcb_render_directformat_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_directformat_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_directformat_t)

## xcb_render_fill_rectangles()

xcb_void_cookie_t xcb_render_fill_rectangles | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | dst,
|  | xcb_render_color_t | color,
|  | uint32_t | rects_len,
|  | const xcb_rectangle_t * | rects )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_FILL_RECTANGLES.

## xcb_render_fill_rectangles_checked()

xcb_void_cookie_t xcb_render_fill_rectangles_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | dst,
|  | xcb_render_color_t | color,
|  | uint32_t | rects_len,
|  | const xcb_rectangle_t * | rects )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_FILL_RECTANGLES.

## xcb_render_fixed_end()

xcb_generic_iterator_t xcb_render_fixed_end | ( | xcb_render_fixed_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_fixed_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_fixed_next()

void xcb_render_fixed_next | ( | xcb_render_fixed_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_fixed_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_fixed_t)

## xcb_render_free_glyph_set()

xcb_void_cookie_t xcb_render_free_glyph_set | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | glyphset )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_FREE_GLYPH_SET.

## xcb_render_free_glyph_set_checked()

xcb_void_cookie_t xcb_render_free_glyph_set_checked | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | glyphset )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_FREE_GLYPH_SET.

## xcb_render_free_glyphs()

xcb_void_cookie_t xcb_render_free_glyphs | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | glyphset,
|  | uint32_t | glyphs_len,
|  | const xcb_render_glyph_t * | glyphs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_FREE_GLYPHS.

## xcb_render_free_glyphs_checked()

xcb_void_cookie_t xcb_render_free_glyphs_checked | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | glyphset,
|  | uint32_t | glyphs_len,
|  | const xcb_render_glyph_t * | glyphs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_FREE_GLYPHS.

## xcb_render_free_picture()

xcb_void_cookie_t xcb_render_free_picture | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_FREE_PICTURE.

## xcb_render_free_picture_checked()

xcb_void_cookie_t xcb_render_free_picture_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_FREE_PICTURE.

## xcb_render_glyph_end()

xcb_generic_iterator_t xcb_render_glyph_end | ( | xcb_render_glyph_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_glyph_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_glyph_next()

void xcb_render_glyph_next | ( | xcb_render_glyph_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_glyph_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_glyph_t)

## xcb_render_glyphinfo_end()

xcb_generic_iterator_t xcb_render_glyphinfo_end | ( | xcb_render_glyphinfo_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_glyphinfo_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_glyphinfo_next()

void xcb_render_glyphinfo_next | ( | xcb_render_glyphinfo_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_glyphinfo_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_glyphinfo_t)

## xcb_render_glyphset_end()

xcb_generic_iterator_t xcb_render_glyphset_end | ( | xcb_render_glyphset_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_glyphset_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_glyphset_next()

void xcb_render_glyphset_next | ( | xcb_render_glyphset_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_glyphset_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_glyphset_t)

## xcb_render_indexvalue_end()

xcb_generic_iterator_t xcb_render_indexvalue_end | ( | xcb_render_indexvalue_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_indexvalue_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_indexvalue_next()

void xcb_render_indexvalue_next | ( | xcb_render_indexvalue_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_indexvalue_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_indexvalue_t)

## xcb_render_linefix_end()

xcb_generic_iterator_t xcb_render_linefix_end | ( | xcb_render_linefix_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_linefix_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_linefix_next()

void xcb_render_linefix_next | ( | xcb_render_linefix_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_linefix_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_linefix_t)

## xcb_render_pictdepth_end()

xcb_generic_iterator_t xcb_render_pictdepth_end | ( | xcb_render_pictdepth_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_pictdepth_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_render_pictdepth_next().

## xcb_render_pictdepth_next()

void xcb_render_pictdepth_next | ( | xcb_render_pictdepth_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_pictdepth_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_pictdepth_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_render_pictdepth_end().

## xcb_render_pictformat_end()

xcb_generic_iterator_t xcb_render_pictformat_end | ( | xcb_render_pictformat_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_pictformat_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_pictformat_next()

void xcb_render_pictformat_next | ( | xcb_render_pictformat_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_pictformat_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_pictformat_t)

## xcb_render_pictforminfo_end()

xcb_generic_iterator_t xcb_render_pictforminfo_end | ( | xcb_render_pictforminfo_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_pictforminfo_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_pictforminfo_next()

void xcb_render_pictforminfo_next | ( | xcb_render_pictforminfo_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_pictforminfo_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_pictforminfo_t)

## xcb_render_pictscreen_end()

xcb_generic_iterator_t xcb_render_pictscreen_end | ( | xcb_render_pictscreen_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_pictscreen_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_render_pictscreen_next().

## xcb_render_pictscreen_next()

void xcb_render_pictscreen_next | ( | xcb_render_pictscreen_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_pictscreen_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_pictscreen_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_render_pictscreen_end().

## xcb_render_picture_end()

xcb_generic_iterator_t xcb_render_picture_end | ( | xcb_render_picture_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_picture_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_picture_next()

void xcb_render_picture_next | ( | xcb_render_picture_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_picture_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_picture_t)

## xcb_render_pictvisual_end()

xcb_generic_iterator_t xcb_render_pictvisual_end | ( | xcb_render_pictvisual_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_pictvisual_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_pictvisual_next()

void xcb_render_pictvisual_next | ( | xcb_render_pictvisual_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_pictvisual_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_pictvisual_t)

## xcb_render_pointfix_end()

xcb_generic_iterator_t xcb_render_pointfix_end | ( | xcb_render_pointfix_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_pointfix_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_pointfix_next()

void xcb_render_pointfix_next | ( | xcb_render_pointfix_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_pointfix_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_pointfix_t)

## xcb_render_query_filters()

xcb_render_query_filters_cookie_t xcb_render_query_filters | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_QUERY_FILTERS.

## xcb_render_query_filters_reply()

xcb_render_query_filters_reply_t * xcb_render_query_filters_reply | ( | xcb_connection_t * | c,
|  | xcb_render_query_filters_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_render_query_filters_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_render_query_filters_unchecked()

xcb_render_query_filters_cookie_t xcb_render_query_filters_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RENDER_QUERY_FILTERS.

## xcb_render_query_pict_formats()

xcb_render_query_pict_formats_cookie_t xcb_render_query_pict_formats | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_QUERY_PICT_FORMATS.

## xcb_render_query_pict_formats_reply()

xcb_render_query_pict_formats_reply_t * xcb_render_query_pict_formats_reply | ( | xcb_connection_t * | c,
|  | xcb_render_query_pict_formats_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_render_query_pict_formats_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_render_query_pict_formats_unchecked()

xcb_render_query_pict_formats_cookie_t xcb_render_query_pict_formats_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RENDER_QUERY_PICT_FORMATS.

## xcb_render_query_pict_index_values()

xcb_render_query_pict_index_values_cookie_t xcb_render_query_pict_index_values | ( | xcb_connection_t * | c,
|  | xcb_render_pictformat_t | format )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_QUERY_PICT_INDEX_VALUES.

## xcb_render_query_pict_index_values_reply()

xcb_render_query_pict_index_values_reply_t * xcb_render_query_pict_index_values_reply | ( | xcb_connection_t * | c,
|  | xcb_render_query_pict_index_values_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_render_query_pict_index_values_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_render_query_pict_index_values_unchecked()

xcb_render_query_pict_index_values_cookie_t xcb_render_query_pict_index_values_unchecked | ( | xcb_connection_t * | c,
|  | xcb_render_pictformat_t | format )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RENDER_QUERY_PICT_INDEX_VALUES.

## xcb_render_query_version()

xcb_render_query_version_cookie_t xcb_render_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | client_major_version,
|  | uint32_t | client_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_QUERY_VERSION.

## xcb_render_query_version_reply()

xcb_render_query_version_reply_t * xcb_render_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_render_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_render_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_render_query_version_unchecked()

xcb_render_query_version_cookie_t xcb_render_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | client_major_version,
|  | uint32_t | client_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RENDER_QUERY_VERSION.

## xcb_render_reference_glyph_set()

xcb_void_cookie_t xcb_render_reference_glyph_set | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | gsid,
|  | xcb_render_glyphset_t | existing )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_REFERENCE_GLYPH_SET.

## xcb_render_reference_glyph_set_checked()

xcb_void_cookie_t xcb_render_reference_glyph_set_checked | ( | xcb_connection_t * | c,
|  | xcb_render_glyphset_t | gsid,
|  | xcb_render_glyphset_t | existing )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_REFERENCE_GLYPH_SET.

## xcb_render_set_picture_clip_rectangles()

xcb_void_cookie_t xcb_render_set_picture_clip_rectangles | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | int16_t | clip_x_origin,
|  | int16_t | clip_y_origin,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_SET_PICTURE_CLIP_RECTANGLES.

## xcb_render_set_picture_clip_rectangles_checked()

xcb_void_cookie_t xcb_render_set_picture_clip_rectangles_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | int16_t | clip_x_origin,
|  | int16_t | clip_y_origin,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_SET_PICTURE_CLIP_RECTANGLES.

## xcb_render_set_picture_filter()

xcb_void_cookie_t xcb_render_set_picture_filter | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | uint16_t | filter_len,
|  | const char * | filter,
|  | uint32_t | values_len,
|  | const xcb_render_fixed_t * | values )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_SET_PICTURE_FILTER.

## xcb_render_set_picture_filter_checked()

xcb_void_cookie_t xcb_render_set_picture_filter_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | uint16_t | filter_len,
|  | const char * | filter,
|  | uint32_t | values_len,
|  | const xcb_render_fixed_t * | values )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_SET_PICTURE_FILTER.

## xcb_render_set_picture_transform()

xcb_void_cookie_t xcb_render_set_picture_transform | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_transform_t | transform )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_SET_PICTURE_TRANSFORM.

## xcb_render_set_picture_transform_checked()

xcb_void_cookie_t xcb_render_set_picture_transform_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_render_transform_t | transform )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_SET_PICTURE_TRANSFORM.

## xcb_render_spanfix_end()

xcb_generic_iterator_t xcb_render_spanfix_end | ( | xcb_render_spanfix_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_spanfix_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_spanfix_next()

void xcb_render_spanfix_next | ( | xcb_render_spanfix_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_spanfix_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_spanfix_t)

## xcb_render_transform_end()

xcb_generic_iterator_t xcb_render_transform_end | ( | xcb_render_transform_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_transform_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_transform_next()

void xcb_render_transform_next | ( | xcb_render_transform_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_transform_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_transform_t)

## xcb_render_trap_end()

xcb_generic_iterator_t xcb_render_trap_end | ( | xcb_render_trap_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_trap_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_trap_next()

void xcb_render_trap_next | ( | xcb_render_trap_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_trap_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_trap_t)

## xcb_render_trapezoid_end()

xcb_generic_iterator_t xcb_render_trapezoid_end | ( | xcb_render_trapezoid_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_trapezoid_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_trapezoid_next()

void xcb_render_trapezoid_next | ( | xcb_render_trapezoid_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_trapezoid_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_trapezoid_t)

## xcb_render_trapezoids()

xcb_void_cookie_t xcb_render_trapezoids | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | traps_len,
|  | const xcb_render_trapezoid_t * | traps )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_TRAPEZOIDS.

## xcb_render_trapezoids_checked()

xcb_void_cookie_t xcb_render_trapezoids_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | traps_len,
|  | const xcb_render_trapezoid_t * | traps )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_TRAPEZOIDS.

## xcb_render_tri_fan()

xcb_void_cookie_t xcb_render_tri_fan | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | points_len,
|  | const xcb_render_pointfix_t * | points )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_TRI_FAN.

## xcb_render_tri_fan_checked()

xcb_void_cookie_t xcb_render_tri_fan_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | points_len,
|  | const xcb_render_pointfix_t * | points )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_TRI_FAN.

## xcb_render_tri_strip()

xcb_void_cookie_t xcb_render_tri_strip | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | points_len,
|  | const xcb_render_pointfix_t * | points )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_TRI_STRIP.

## xcb_render_tri_strip_checked()

xcb_void_cookie_t xcb_render_tri_strip_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | points_len,
|  | const xcb_render_pointfix_t * | points )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_TRI_STRIP.

## xcb_render_triangle_end()

xcb_generic_iterator_t xcb_render_triangle_end | ( | xcb_render_triangle_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_render_triangle_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_render_triangle_next()

void xcb_render_triangle_next | ( | xcb_render_triangle_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_render_triangle_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_render_triangle_t)

## xcb_render_triangles()

xcb_void_cookie_t xcb_render_triangles | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | triangles_len,
|  | const xcb_render_triangle_t * | triangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RENDER_TRIANGLES.

## xcb_render_triangles_checked()

xcb_void_cookie_t xcb_render_triangles_checked | ( | xcb_connection_t * | c,
|  | uint8_t | op,
|  | xcb_render_picture_t | src,
|  | xcb_render_picture_t | dst,
|  | xcb_render_pictformat_t | mask_format,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint32_t | triangles_len,
|  | const xcb_render_triangle_t * | triangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RENDER_TRIANGLES.